<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: vx_keypoint_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>vx_keypoint_t Struct Reference</h1><!-- doxytag: class="vx_keypoint_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>The keypoint data structure. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a822fc495cb9045d45893eed297d48737">vx_int32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__keypoint__t.html#afb08d21f2fce8b4940b3b9bb77a618b5">x</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The x coordinate.  <a href="#afb08d21f2fce8b4940b3b9bb77a618b5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a822fc495cb9045d45893eed297d48737">vx_int32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__keypoint__t.html#a82787083f1f6344a36d68d42097abe35">y</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The y coordinate.  <a href="#a82787083f1f6344a36d68d42097abe35"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#af14ad5e46a20640307420a745d199e1d">vx_float32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__keypoint__t.html#a961bb266a1715e8aa87e2f8bc2b60f82">strength</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The strength of the keypoint. Its definition is specific to the corner detector.  <a href="#a961bb266a1715e8aa87e2f8bc2b60f82"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#af14ad5e46a20640307420a745d199e1d">vx_float32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__keypoint__t.html#abb79f4b9968b1f710bde8c48d3e78f5b">scale</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Initialized to 0 by corner detectors.  <a href="#abb79f4b9968b1f710bde8c48d3e78f5b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#af14ad5e46a20640307420a745d199e1d">vx_float32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__keypoint__t.html#add2c2cc854b1d33781cb8d3bbe1bcb6f">orientation</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Initialized to 0 by corner detectors.  <a href="#add2c2cc854b1d33781cb8d3bbe1bcb6f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a822fc495cb9045d45893eed297d48737">vx_int32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__keypoint__t.html#a8de67cbadb20013224a749045a491526">tracking_status</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A zero indicates a lost point. Initialized to 1 by corner detectors.  <a href="#a8de67cbadb20013224a749045a491526"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#af14ad5e46a20640307420a745d199e1d">vx_float32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__keypoint__t.html#add11abe802e0eb2d318d4f56ad987f0e">error</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A tracking method specific error. Initialized to 0 by corner detectors.  <a href="#add11abe802e0eb2d318d4f56ad987f0e"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="afb08d21f2fce8b4940b3b9bb77a618b5"></a><!-- doxytag: member="vx_keypoint_t::x" ref="afb08d21f2fce8b4940b3b9bb77a618b5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a822fc495cb9045d45893eed297d48737">vx_int32</a> <a class="el" href="structvx__keypoint__t.html#afb08d21f2fce8b4940b3b9bb77a618b5">vx_keypoint_t::x</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The x coordinate. </p>

</div>
</div>
<a class="anchor" id="a82787083f1f6344a36d68d42097abe35"></a><!-- doxytag: member="vx_keypoint_t::y" ref="a82787083f1f6344a36d68d42097abe35" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a822fc495cb9045d45893eed297d48737">vx_int32</a> <a class="el" href="structvx__keypoint__t.html#a82787083f1f6344a36d68d42097abe35">vx_keypoint_t::y</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The y coordinate. </p>

</div>
</div>
<a class="anchor" id="a961bb266a1715e8aa87e2f8bc2b60f82"></a><!-- doxytag: member="vx_keypoint_t::strength" ref="a961bb266a1715e8aa87e2f8bc2b60f82" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#af14ad5e46a20640307420a745d199e1d">vx_float32</a> <a class="el" href="structvx__keypoint__t.html#a961bb266a1715e8aa87e2f8bc2b60f82">vx_keypoint_t::strength</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The strength of the keypoint. Its definition is specific to the corner detector. </p>

</div>
</div>
<a class="anchor" id="abb79f4b9968b1f710bde8c48d3e78f5b"></a><!-- doxytag: member="vx_keypoint_t::scale" ref="abb79f4b9968b1f710bde8c48d3e78f5b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#af14ad5e46a20640307420a745d199e1d">vx_float32</a> <a class="el" href="structvx__keypoint__t.html#abb79f4b9968b1f710bde8c48d3e78f5b">vx_keypoint_t::scale</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Initialized to 0 by corner detectors. </p>

</div>
</div>
<a class="anchor" id="add2c2cc854b1d33781cb8d3bbe1bcb6f"></a><!-- doxytag: member="vx_keypoint_t::orientation" ref="add2c2cc854b1d33781cb8d3bbe1bcb6f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#af14ad5e46a20640307420a745d199e1d">vx_float32</a> <a class="el" href="structvx__keypoint__t.html#add2c2cc854b1d33781cb8d3bbe1bcb6f">vx_keypoint_t::orientation</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Initialized to 0 by corner detectors. </p>

</div>
</div>
<a class="anchor" id="a8de67cbadb20013224a749045a491526"></a><!-- doxytag: member="vx_keypoint_t::tracking_status" ref="a8de67cbadb20013224a749045a491526" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a822fc495cb9045d45893eed297d48737">vx_int32</a> <a class="el" href="structvx__keypoint__t.html#a8de67cbadb20013224a749045a491526">vx_keypoint_t::tracking_status</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>A zero indicates a lost point. Initialized to 1 by corner detectors. </p>

</div>
</div>
<a class="anchor" id="add11abe802e0eb2d318d4f56ad987f0e"></a><!-- doxytag: member="vx_keypoint_t::error" ref="add11abe802e0eb2d318d4f56ad987f0e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#af14ad5e46a20640307420a745d199e1d">vx_float32</a> <a class="el" href="structvx__keypoint__t.html#add11abe802e0eb2d318d4f56ad987f0e">vx_keypoint_t::error</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>A tracking method specific error. Initialized to 0 by corner detectors. </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
